brianc

Well-Known Member
May 16, 2003
190
7
168
I hope someone can help me out here.

I upgraded Perl from 5.8.7 to 5.8.8 last week as per cPanel's recommendation. All is well. Well I installed ImageMagick from source last night and now I am in trouble. For some reason this installation of IM has broken a client's perl based web site (they are using BuildACommunity) and I can't seem to install any perl modules using /scripts/perlinstaller --force. Every time I try to run this script, I keep getting path error messages such as:

Can't locate File/Spec.pm in @INC (@INC contains: /scripts/cpan_sandbox no/x86_64-linux no /usr/local/lib/perl5/site_perl/5.8.8/x86_64-linux /usr/local/lib/perl5/site_perl/5.8.8 /usr/local/lib/perl5/site_perl .)

The only problem here is I have Perl and its modules installed in /usr/lib/perl5 NOT /usr/local/lib/perl5. I am not sure if this is the problem behind my client's web site or not but it doesn't seem right regardless. How can I correct the @INC statement since /scripts/perlinstaller is looking for these perl modules in the wrong location.

Please help me so I can enjoy my labor day weekend.

Thanks,
Brian